<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"><xsl:template match="/">
  <html>
  <body>


<!-- Program Start and End Times -->
 
    <h2>General Information</h2>
    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Attribute</th>
      <th align="left">Value</th>
    </tr>
    <tr>
      <td>Program Start Time</td>
      <td><xsl:value-of select="log/start_time"/></td>
    </tr>
    <tr>
      <td>Program End Time</td>
      <td><xsl:value-of select="log/end_time"/></td>
    </tr>
    <tr>
      <td>Program Execution Time</td>
      <td><xsl:value-of select="log/execution_time"/></td>
    </tr>
    <tr>
      <td>Total Program Executions</td>
      <td align="right"><xsl:value-of select="log/num_executions"/></td>
    </tr>
    <tr>
      <td>DirectX Version</td>
      <td align="right"><xsl:value-of select="log/dx_version"/></td>
    </tr>
    <tr>
      <td>Processor Type</td>
      <td align="right"><xsl:value-of select="log/processor_type"/></td>
    </tr>
    <tr>
      <td># Processors</td>
      <td align="right"><xsl:value-of select="log/num_processors"/></td>
    </tr>
    <tr>
      <td>Windows Version</td>
      <td align="right"><xsl:value-of select="log/windows_version"/></td>
    </tr>
    <tr>
      <td>Date</td>
      <td align="right"><xsl:value-of select="log/date_time"/></td>
    </tr>
    <tr>
      <td>App Name</td>
      <td align="right"><xsl:value-of select="log/app_name"/></td>
    </tr>
    <tr>
      <td>Physical Memory</td>
      <td align="right"><xsl:value-of select="log/mem_status"/></td>
    </tr>
    <tr>
      <td>Page Size</td>
      <td align="right"><xsl:value-of select="log/page_size"/></td>
    </tr>
    </table>


<!-- Initialization Program Calls -->

    <h2>Initialization - Program Calls</h2>
    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Name</th>
      <th align="left">Result</th>
      <th align="left">Comment</th>
      <th align="left">Comment 2</th>
    </tr>
    <xsl:for-each select="log/initialization//call">
    <tr>
      <td><xsl:value-of select="@name"/></td>
      <td><xsl:value-of select="result"/></td>
      <td><xsl:value-of select="comment"/></td>
      <td><xsl:value-of select="comment2"/></td>
    </tr>

    </xsl:for-each>

    </table>


<!-- Shutdown Program Calls -->

    <h2>Shutdown - Program Calls</h2>
    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Name</th>
      <th align="left">Result</th>
      <th align="left">Comment</th>
      <th align="left">Comment 2</th>
    </tr>
    <xsl:for-each select="log/shutdown//call">
    <tr>
      <td><xsl:value-of select="@name"/></td>
      <td><xsl:value-of select="result"/></td>
      <td><xsl:value-of select="comment"/></td>
      <td><xsl:value-of select="comment2"/></td>
    </tr>
    </xsl:for-each>

    <xsl:for-each select="log">
    <tr>
      <td></td>
      <td></td>
      <td><xsl:value-of select="comment"/></td>
    </tr>
    </xsl:for-each>

    </table>


<!-- Video Card Info -->

    <h2>Video Card Info</h2>
    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Attribute</th>
      <th align="left">Value</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/video_card_info/vcelement">
    <tr>
      <td><xsl:value-of select="@name"/></td>
      <td><xsl:value-of select="@value"/></td>
    </tr>
    </xsl:for-each>

    </table>


<!-- Available Resolutions -->

    <h2>Available Resolutions</h2>


    <h3>16-bit Windowed</h3>

    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Resolution</th>
      <th align="left">Format</th>
      <th align="left">Type</th>
      <th align="left">Bit Depth</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/call[@name='CGraphics::GetAvailableVideoModes()']/res_list/res_set[@type='16-bit windowed']/resolution">
    <tr>
      <td><xsl:value-of select="@width"/> x <xsl:value-of select="@height"/></td>
      <td><xsl:value-of select="@format"/></td>
      <td><xsl:value-of select="@type"/></td>
      <td><xsl:value-of select="@bit_depth"/></td>
    </tr>
    </xsl:for-each>
    </table>


    <h3>16-bit Full-Screen</h3>

    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Resolution</th>
      <th align="left">Format</th>
      <th align="left">Type</th>
      <th align="left">Bit Depth</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/call[@name='CGraphics::GetAvailableVideoModes()']/res_list/res_set[@type='16-bit full-screen']/resolution">
    <tr>
      <td><xsl:value-of select="@width"/> x <xsl:value-of select="@height"/></td>
      <td><xsl:value-of select="@format"/></td>
      <td><xsl:value-of select="@type"/></td>
      <td><xsl:value-of select="@bit_depth"/></td>
    </tr>
    </xsl:for-each>
    </table>


    <h3>32-bit Windowed</h3>

    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Resolution</th>
      <th align="left">Format</th>
      <th align="left">Type</th>
      <th align="left">Bit Depth</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/call[@name='CGraphics::GetAvailableVideoModes()']/res_list/res_set[@type='32-bit windowed']/resolution">
    <tr>
      <td><xsl:value-of select="@width"/> x <xsl:value-of select="@height"/></td>
      <td><xsl:value-of select="@format"/></td>
      <td><xsl:value-of select="@type"/></td>
      <td><xsl:value-of select="@bit_depth"/></td>
    </tr>
    </xsl:for-each>
    </table>


    <h3>32-bit Full-Screen</h3>

    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Resolution</th>
      <th align="left">Format</th>
      <th align="left">Type</th>
      <th align="left">Bit Depth</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/call[@name='CGraphics::GetAvailableVideoModes()']/res_list/res_set[@type='32-bit full-screen']/resolution">
    <tr>
      <td><xsl:value-of select="@width"/> x <xsl:value-of select="@height"/></td>
      <td><xsl:value-of select="@format"/></td>
      <td><xsl:value-of select="@type"/></td>
      <td><xsl:value-of select="@bit_depth"/></td>
    </tr>
    </xsl:for-each>
    </table>


<!-- Device Info -->

    <h2>Device Info</h2>
    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Attribute</th>
      <th align="left">Value</th>
      <th align="left">Property</th>
    </tr>
    <xsl:for-each select="log/initialization/call[@name='CEngine::InitObjects()']/call[@name='CGraphics::Init()']/device_info/dielement">
    <tr>
      <td><xsl:value-of select="@name"/></td>
      <td><xsl:value-of select="@value"/></td>
      <td><xsl:value-of select="@property"/></td>
    </tr>
    </xsl:for-each>

    </table>




<!-- Resolution Change -->

    <h2>Resolution Changes</h2>

    <table border="1">
    <tr bgcolor="#9acd32">
      <th align="left">Resolution Changed To</th>
      <th align="left">App Time (HHH:MM:SS.mmm)</th>
    </tr>
    <xsl:for-each select="log/resolution_change">
    <tr>
      <td><xsl:value-of select="@width"/> x <xsl:value-of select="@height"/> @ <xsl:value-of select="@bpp"/>-bpp <xsl:value-of select="@mode"/></td>
      <td><xsl:value-of select="@time"/></td>
    </tr>
    </xsl:for-each>
    </table>




  </body>
  </html>
</xsl:template></xsl:stylesheet>